---
search:
  tags:
    - Webhooks
    - GET
seo:
  description: >-
    Retrieve a webhook. Reference for the GET /webhooks/{id} endpoint in the
    BillionSend API.
sidebar:
  label: Retrieve a webhook
  badge: GET
title: Retrieve a webhook
type: openapi-operation
---
`GET /webhooks/{id}`

**Responses**

- `200` — Webhook, including its signing secret
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "endpoint": "string",
  "created_at": "string",
  "status": "enabled",
  "events": [
    "string"
  ],
  "inbox_ids": [
    "string"
  ],
  "object": "webhook",
  "signing_secret": "string",
  "previous_secret_expires_at": "string"
}
```
